package com.jeesite.modules.admin.apply.service;

import java.util.List;

import com.jeesite.modules.admin.apply.dao.AdminAppEvaluateDao;
import com.jeesite.modules.admin.apply.entity.AdminAppEvaluate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeesite.common.entity.Page;
import com.jeesite.common.service.CrudService;
import com.jeesite.modules.file.utils.FileUploadUtils;

/**
 * 应用评价表Service
 * @author yinet
 * @version 2022-06-16
 */
@Service
@Transactional(readOnly=true)
public class AdminAppEvaluateService extends CrudService<AdminAppEvaluateDao, AdminAppEvaluate> {
	
	/**
	 * 获取单条数据
	 * @param adminAppEvaluate
	 * @return
	 */
	@Override
	public AdminAppEvaluate get(AdminAppEvaluate adminAppEvaluate) {
		return super.get(adminAppEvaluate);
	}
	
	/**
	 * 查询分页数据
	 * @param adminAppEvaluate 查询条件
	 * @param adminAppEvaluate.page 分页对象
	 * @return
	 */
	@Override
	public Page<AdminAppEvaluate> findPage(AdminAppEvaluate adminAppEvaluate) {
		return super.findPage(adminAppEvaluate);
	}
	
	/**
	 * 查询列表数据
	 * @param adminAppEvaluate
	 * @return
	 */
	@Override
	public List<AdminAppEvaluate> findList(AdminAppEvaluate adminAppEvaluate) {
		return super.findList(adminAppEvaluate);
	}
	
	/**
	 * 保存数据（插入或更新）
	 * @param adminAppEvaluate
	 */
	@Override
	@Transactional(readOnly=false)
	public void save(AdminAppEvaluate adminAppEvaluate) {
		super.save(adminAppEvaluate);
		// 保存上传图片
		FileUploadUtils.saveFileUpload(adminAppEvaluate, adminAppEvaluate.getId(), "adminAppEvaluate_image");
	}
	
	/**
	 * 更新状态
	 * @param adminAppEvaluate
	 */
	@Override
	@Transactional(readOnly=false)
	public void updateStatus(AdminAppEvaluate adminAppEvaluate) {
		super.updateStatus(adminAppEvaluate);
	}
	
	/**
	 * 删除数据
	 * @param adminAppEvaluate
	 */
	@Override
	@Transactional(readOnly=false)
	public void delete(AdminAppEvaluate adminAppEvaluate) {
		super.delete(adminAppEvaluate);
	}
	
}